## OGMRipChapterList

OGMRipChapterList — A widget that lists the chapters of a DVD title

## Synopsis

    #include <ogmrip-chapter-list.h>

    struct              OGMRipChapterList;
    GtkWidget *         ogmrip_chapter_list_new             (void);
    void                ogmrip_chapter_list_select_all      (OGMRipChapterList *list);
    void                ogmrip_chapter_list_deselect_all    (OGMRipChapterList *list);
    gboolean            ogmrip_chapter_list_get_selected    (OGMRipChapterList *list,
                                                             guint *start_chapter,
                                                             gint *end_chapter);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkTreeView
                                     +----OGMDvdChapterList
                                           +----OGMRipChapterList

## Implemented Interfaces

OGMRipChapterList implements AtkImplementorIface and GtkBuildable.

## Signals

      "selection-changed"                              : No Hooks

## Description

## Details

### struct OGMRipChapterList

    struct OGMRipChapterList;

### ogmrip_chapter_list_new ()

    GtkWidget *         ogmrip_chapter_list_new             (void);

Creates a new OGMRipChapterList.

Returns : | The new OGMRipChapterList

### ogmrip_chapter_list_select_all ()

    void                ogmrip_chapter_list_select_all      (OGMRipChapterList *list);

Select all the chapters of the list.

`list` : | An OGMRipChapterList

### ogmrip_chapter_list_deselect_all ()

    void                ogmrip_chapter_list_deselect_all    (OGMRipChapterList *list);

Deselects all the chapters of the list.

`list` : | An OGMRipChapterList

### ogmrip_chapter_list_get_selected ()

    gboolean            ogmrip_chapter_list_get_selected    (OGMRipChapterList *list,
                                                             guint *start_chapter,
                                                             gint *end_chapter);

Gets the range of the selected chapters.

`list` : | An OGMRipChapterList
`start_chapter` : | The first selected chapter
`end_chapter` : | The last selected chapter
Returns : | `TRUE`, if `start_chapter` and `end_chapter` were set

## Signal Details

### The `"selection-changed"` signal

    void                user_function                      (OGMRipChapterList *list,
                                                            gpointer           user_data)      : No Hooks

Emitted each time the selection of chapters changes

`list` : | the widget that received the signal
`user_data` : | user data set when the signal handler was connected.